//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
// -*- C++ -*-
// AID-GENERATED
// =========================================================================
// This class was generated by AID - Abstract Interface Definition          
// DO NOT MODIFY, but use the org.freehep.aid.Aid utility to regenerate it. 
// =========================================================================
#ifndef HEPREP_HEPREPTREEID_H
#define HEPREP_HEPREPTREEID_H 1

// Copyright 2000-2002, FreeHEP.

#include <string>

namespace HEPREP {

/**
 * HepRepTreeID interface.
 *
 * @author Mark Donszelmann
 */
class HepRepTreeID {

public: 
    /// Destructor.
    virtual ~HepRepTreeID() { /* nop */; }

    /**
     * Returns the name of this treeID.
     *
     * @return name of treeID.
     */
    virtual std::string getName() = 0;

    /**
     * Returns the version of this treeID.
     *
     * @return version of treeID.
     */
    virtual std::string getVersion() = 0;

    /**
     * Returns the qualifier that qualifies the relation that this treeID has with what it refers to.
     *
     * @return qualifier.
     */
    virtual std::string getQualifier() = 0;

    /**
     * Sets the qualifier that qualifies the relation that this treeID has with what it refers to.
     *
     * @param qualifier to be set.
     */
    virtual void setQualifier(std::string qualifier) = 0;

    /**
     * Returns a deep copy of this treeID.
     *
     * @return copy of this treeID.
     */
    virtual HepRepTreeID * copy() = 0;
}; // class
}; // namespace HEPREP
#endif /* ifndef HEPREP_HEPREPTREEID_H */
